Loading...
Searching...
No Matches
QGpgME::_detail::ThreadedJobMixin< T_base, T_private, T_result > Class Template Reference
Inheritance diagram for QGpgME::_detail::ThreadedJobMixin< T_base, T_private, T_result >:
[legend]
Collaboration diagram for QGpgME::_detail::ThreadedJobMixin< T_base, T_private, T_result >:
[legend]

## Public Types

typedef ThreadedJobMixin< T_base, T_private, T_result > | mixin_type
typedef T_result | result_type

## Public Member Functions

void | run ()
template<typename T_binder>
void | run (const T_binder &func)
template<typename T_binder>
void | run (const T_binder &func, const std::shared_ptr< QIODevice > &io)
template<typename T_binder>
void | run (const T_binder &func, const std::shared_ptr< QIODevice > &io1, const std::shared_ptr< QIODevice > &io2)

## Protected Member Functions

template<typename T_private_ = T_private, std::enable_if_t<!std::is_void_v< T_private_ >, bool > = true>
| ThreadedJobMixin (GpgME::Context *ctx)
template<typename T_private_ = T_private, std::enable_if_t< std::is_void_v< T_private_ >, bool > = true>
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
template<typename T_binder>
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override

The documentation for this class was generated from the following file:

- threadedjobmixin.h